Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Drummer Class Reference

STK drum sample player class. More...

`#include <Drummer.h>`

Inheritance diagram for Drummer:

List of all members.

## Public Member Functions

| Drummer ()
| Class constructor.
| ~Drummer ()
| Class destructor.
void | noteOn (MY_FLOAT instrument, MY_FLOAT amplitude)
| Start a note with the given drum type and amplitude.
void | noteOff (MY_FLOAT amplitude)
| Stop a note with the given amplitude (speed of decay).
MY_FLOAT | tick ()
| Compute one output sample.

## Detailed Description

STK drum sample player class.

This class implements a drum sampling synthesizer using WvIn objects and one-pole filters. The drum rawwave files are sampled at 22050 Hz, but will be appropriately interpolated for other sample rates. You can specify the maximum polyphony (maximum number of simultaneous voices) via a #define in the Drummer.h.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 28 of file Drummer.h.

## Member Function Documentation

void Drummer::noteOn | ( | MY_FLOAT | instrument,
|  | MY_FLOAT | amplitude
| ) | `[virtual]`

| Start a note with the given drum type and amplitude. Use general MIDI drum instrument numbers, converted to frequency values as if MIDI note numbers, to select a particular instrument. Implements Instrmnt.

The documentation for this class was generated from the following file:

- Drummer.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.